INFO: Generating MadAnalysis5 default cards tailored to this process

Bug #1692480 reported by Olivier Mattelaer on 2017-05-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MadAnalysis 5
High
Benjamin Fuks

Bug Description

Hi guys,

Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
Is it possible to fix this? 6 seconds to create some default cards is much too long.
(To be honest, I want to remove MA5 from my system just due to that)

Thanks,

Olivier

Benjamin Fuks (fuks) wrote :

Hi Olivier,

You were right and I have found the single guilty line triggering that compilation. This should now be fixed. Do you mind confirming it (please reinstall a fresh ma5; the tarball has been updated)? Thanks in advance!

Cheers,

Benj

Changed in madanalysis5:
importance: Undecided → High
status: New → In Progress
assignee: nobody → Benjamin Fuks (fuks)
milestone: none → v1.6

Hi Benj,

I still have this:
INFO: Generating MadAnalysis5 default cards tailored to this process
INFO: Cards created in 5.43s

Which sounds quite slow.

Cheers,

Olivier

> On 22 May 2017, at 23:56, Benjamin Fuks <email address hidden> wrote:
>
> Hi Olivier,
>
> You were right and I have found the single guilty line triggering that
> compilation. This should now be fixed. Do you mind confirming it (please
> reinstall a fresh ma5; the tarball has been updated)? Thanks in advance!
>
> Cheers,
>
> Benj
>
> ** Changed in: madanalysis5
> Importance: Undecided => High
>
> ** Changed in: madanalysis5
> Status: New => In Progress
>
> ** Changed in: madanalysis5
> Assignee: (unassigned) => Benjamin Fuks (fuks)
>
> ** Changed in: madanalysis5
> Milestone: None => v1.6
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1692480
>
> Title:
> INFO: Generating MadAnalysis5 default cards tailored to this process
>
> Status in MadAnalysis 5:
> In Progress
>
> Bug description:
> Hi guys,
>
> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
> Is it possible to fix this? 6 seconds to create some default cards is much too long.
> (To be honest, I want to remove MA5 from my system just due to that)
>
> Thanks,
>
> Olivier
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions

Benjamin Fuks (fuks) wrote :

Hi Olivier,

This is weird and seems computer dependent. It is much faster on my laptop.

Do you mind doing the following:
 - setting the log level to the debug mode when calling the interpreter (in common_interface and export_v4);
 - dumping the screen output into a file or on the screen (removing the std_channel redirection) so that I could have a look.
The compilation is triggered by the comparison of architecture information of the current call and previous call of the interpreter. There must be something different in your case, and I need to find out what so that I could understand and fix it. Thanks in advance!

Cheers,

Benj

PS: normally, you should see the O(10) compilation steps on the screen output.

> On 23 May 2017, at 01:33 , Olivier Mattelaer <email address hidden> wrote:
>
> Hi Benj,
>
> I still have this:
> INFO: Generating MadAnalysis5 default cards tailored to this process
> INFO: Cards created in 5.43s
>
> Which sounds quite slow.
>
> Cheers,
>
> Olivier
>
>
>> On 22 May 2017, at 23:56, Benjamin Fuks <email address hidden> wrote:
>>
>> Hi Olivier,
>>
>> You were right and I have found the single guilty line triggering that
>> compilation. This should now be fixed. Do you mind confirming it (please
>> reinstall a fresh ma5; the tarball has been updated)? Thanks in advance!
>>
>> Cheers,
>>
>> Benj
>>
>> ** Changed in: madanalysis5
>> Importance: Undecided => High
>>
>> ** Changed in: madanalysis5
>> Status: New => In Progress
>>
>> ** Changed in: madanalysis5
>> Assignee: (unassigned) => Benjamin Fuks (fuks)
>>
>> ** Changed in: madanalysis5
>> Milestone: None => v1.6
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1692480
>>
>> Title:
>> INFO: Generating MadAnalysis5 default cards tailored to this process
>>
>> Status in MadAnalysis 5:
>> In Progress
>>
>> Bug description:
>> Hi guys,
>>
>> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
>> Is it possible to fix this? 6 seconds to create some default cards is much too long.
>> (To be honest, I want to remove MA5 from my system just due to that)
>>
>> Thanks,
>>
>> Olivier
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1692480
>
> Title:
> INFO: Generating MadAnalysis5 default cards tailored to this process
>
> Status in MadAnalysis 5:
> In Progress
>
> Bug description:
> Hi guys,
>
> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
> Is it possible to fix this? 6 seconds to create some default cards is much too long.
> (To be honest, I want to remove MA5 from my system just due to that)
>
> Thanks,
>
> Olivier
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions

Download full text (37.1 KiB)

Hi,

Sure, here is the detailed information:

Cheers,

Olivier

INFO: Generating MadAnalysis5 default cards tailored to this process
MA5: Platform: Darwin 16.5.0 [MAC/OSX mode]
MA5-DEBUG:
MA5-DEBUG: Machine - Cross platform information
MA5-DEBUG: Machine type: x86_64
MA5-DEBUG: Processor name: i386
MA5-DEBUG: Platform: Darwin-16.5.0-x86_64-i386-64bit
MA5-DEBUG: Platform release: 16.5.0
MA5-DEBUG: System: Darwin
MA5-DEBUG: Node: mac-1q0-072.local
MA5-DEBUG: Number of cores: 8
MA5-DEBUG:
MA5-DEBUG: Machine - OS-specific information
MA5-DEBUG: Java version: ('', '', ('', '', ''), ('', '', ''))
MA5-DEBUG: Windows version: ('', '', '', '')
MA5-DEBUG: Mac Os version: ('10.12.4', ('', '', ''), 'x86_64')
MA5-DEBUG: Unix distribution: Darwin-16.5.0-x86_64-i386-64bit
MA5-DEBUG:
MA5: Reading user settings ...
MA5-DEBUG: Opening the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
MA5-DEBUG: Lines to interpret:
MA5-DEBUG: - zlib_includes = /Users/omattelaer/Documents/HEPTools/zlib/include
MA5-DEBUG: - zlib_libs = /Users/omattelaer/Documents/HEPTools/zlib/lib
MA5-DEBUG: - pdflatex_veto = 1
MA5-DEBUG: - latex_veto = 1
MA5-DEBUG: Closing the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
MA5-DEBUG:
MA5-DEBUG: User
MA5-DEBUG: User name: omattelaer
MA5-DEBUG: User ID: 503
MA5-DEBUG: Expanding folder ~/: /Users/omattelaer/
MA5-DEBUG: Variable $USER: omattelaer
MA5-DEBUG: Variable $USERNAME:
MA5-DEBUG: Variable $LNAME:
MA5-DEBUG: Variable $LOGNAME: omattelaer
MA5-DEBUG: Variable $HOME: /Users/omattelaer
MA5-DEBUG: Variable $HOMEDRIVE:
MA5-DEBUG: Variable $posix:
MA5-DEBUG: Variable $HOMEPATH:
MA5-DEBUG:
MA5-DEBUG: Web access
MA5-DEBUG: enable
MA5-DEBUG:
MA5-DEBUG: Temporary folder
MA5-DEBUG: Variable $TMPDIR: /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T/
MA5-DEBUG: Check if the folder /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T exists ...
MA5-DEBUG: -> found
MA5-DEBUG: Variable $TMP:
MA5-DEBUG: Variable $TEMP:
MA5-DEBUG: temporary folder will be used for MA5: /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T
MA5-DEBUG:
MA5-DEBUG: Download dir
MA5-DEBUG: Check if the folder /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T/MA5_downloads exists ...
MA5-DEBUG: -> found
MA5-DEBUG: download folder will be used for MA5: /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T/MA5_downloads
MA5-DEBUG:
MA5-DEBUG: Text editor
MA5-DEBUG: Look for the global variable $EDITOR ...
MA5-DEBUG: -> variable $EDITOR found : emacs
MA5-DEBUG:
MA5: Checking mandatory packages:
MA5-DEBUG: ------------------------------------------------------
MA5-DEBUG: Detect package python
MA5-DEBUG: Try to detect automatically the package ...
MA5-DEBUG: Extract more informations related to the package ...
MA5-DEBUG:
MA5-DEBUG: Python release: 2.7.10
MA5-DEBUG: Python build: ('default', 'Feb ...

Download full text (39.3 KiB)

Hi Olivier,

The time is basically being spent on checking whether the ma5 interpreter can run properly run here. There is no compilation. This is of course not necessary at this stage. I suggest to implement a way to call the interpreter with all the checks being bypassed that you will then be able to use within aMC. What do yo tihnk?

Cheers,

B>

> On 23 May 2017, at 12:41 , Olivier Mattelaer <email address hidden> wrote:
>
> Hi,
>
> Sure, here is the detailed information:
>
> Cheers,
>
> Olivier
>
> INFO: Generating MadAnalysis5 default cards tailored to this process
> MA5: Platform: Darwin 16.5.0 [MAC/OSX mode]
> MA5-DEBUG:
> MA5-DEBUG: Machine - Cross platform information
> MA5-DEBUG: Machine type: x86_64
> MA5-DEBUG: Processor name: i386
> MA5-DEBUG: Platform: Darwin-16.5.0-x86_64-i386-64bit
> MA5-DEBUG: Platform release: 16.5.0
> MA5-DEBUG: System: Darwin
> MA5-DEBUG: Node: mac-1q0-072.local
> MA5-DEBUG: Number of cores: 8
> MA5-DEBUG:
> MA5-DEBUG: Machine - OS-specific information
> MA5-DEBUG: Java version: ('', '', ('', '', ''), ('', '', ''))
> MA5-DEBUG: Windows version: ('', '', '', '')
> MA5-DEBUG: Mac Os version: ('10.12.4', ('', '', ''), 'x86_64')
> MA5-DEBUG: Unix distribution: Darwin-16.5.0-x86_64-i386-64bit
> MA5-DEBUG:
> MA5: Reading user settings ...
> MA5-DEBUG: Opening the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
> MA5-DEBUG: Lines to interpret:
> MA5-DEBUG: - zlib_includes = /Users/omattelaer/Documents/HEPTools/zlib/include
> MA5-DEBUG: - zlib_libs = /Users/omattelaer/Documents/HEPTools/zlib/lib
> MA5-DEBUG: - pdflatex_veto = 1
> MA5-DEBUG: - latex_veto = 1
> MA5-DEBUG: Closing the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
> MA5-DEBUG:
> MA5-DEBUG: User
> MA5-DEBUG: User name: omattelaer
> MA5-DEBUG: User ID: 503
> MA5-DEBUG: Expanding folder ~/: /Users/omattelaer/
> MA5-DEBUG: Variable $USER: omattelaer
> MA5-DEBUG: Variable $USERNAME:
> MA5-DEBUG: Variable $LNAME:
> MA5-DEBUG: Variable $LOGNAME: omattelaer
> MA5-DEBUG: Variable $HOME: /Users/omattelaer
> MA5-DEBUG: Variable $HOMEDRIVE:
> MA5-DEBUG: Variable $posix:
> MA5-DEBUG: Variable $HOMEPATH:
> MA5-DEBUG:
> MA5-DEBUG: Web access
> MA5-DEBUG: enable
> MA5-DEBUG:
> MA5-DEBUG: Temporary folder
> MA5-DEBUG: Variable $TMPDIR: /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T/
> MA5-DEBUG: Check if the folder /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T exists ...
> MA5-DEBUG: -> found
> MA5-DEBUG: Variable $TMP:
> MA5-DEBUG: Variable $TEMP:
> MA5-DEBUG: temporary folder will be used for MA5: /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T
> MA5-DEBUG:
> MA5-DEBUG: Download dir
> MA5-DEBUG: Check if the folder /var/folders/sf/1p6lf88j7ddb38npnrq1tgv80000gq/T/MA5_downloads exists ...
> MA5-DEBUG: -> found
> MA5-DEBUG: download folder will be used for MA5...

Download full text (41.2 KiB)

Hi,

Whatever makes the code not spending 5s at initialisation sounds a good idea.

I have add a bunch of print statement inside you code and found the responsible line for the slow down of the init:
precompiler.Run('TestSampleAnalyzer',[self.archi_info.ma5dir+'/tools/SampleAnalyzer/Test/Process/dummy_list.txt'],self.archi_info.ma5dir+'/tools/SampleAnalyzer/Bin/',silent=True):

That line takes a full 5s.

So I have just commented it and now this makes the code fast enough (0.4s). I have no idea what that lines does, but that's the bottleneck.

Cheers,

Olivier

> On 23 May 2017, at 15:19, Benjamin Fuks <email address hidden> wrote:
>
> Hi Olivier,
>
> The time is basically being spent on checking whether the ma5
> interpreter can run properly run here. There is no compilation. This is
> of course not necessary at this stage. I suggest to implement a way to
> call the interpreter with all the checks being bypassed that you will
> then be able to use within aMC. What do yo tihnk?
>
> Cheers,
>
> B>
>
>
>> On 23 May 2017, at 12:41 , Olivier Mattelaer <email address hidden> wrote:
>>
>> Hi,
>>
>> Sure, here is the detailed information:
>>
>> Cheers,
>>
>> Olivier
>>
>> INFO: Generating MadAnalysis5 default cards tailored to this process
>> MA5: Platform: Darwin 16.5.0 [MAC/OSX mode]
>> MA5-DEBUG:
>> MA5-DEBUG: Machine - Cross platform information
>> MA5-DEBUG: Machine type: x86_64
>> MA5-DEBUG: Processor name: i386
>> MA5-DEBUG: Platform: Darwin-16.5.0-x86_64-i386-64bit
>> MA5-DEBUG: Platform release: 16.5.0
>> MA5-DEBUG: System: Darwin
>> MA5-DEBUG: Node: mac-1q0-072.local
>> MA5-DEBUG: Number of cores: 8
>> MA5-DEBUG:
>> MA5-DEBUG: Machine - OS-specific information
>> MA5-DEBUG: Java version: ('', '', ('', '', ''), ('', '', ''))
>> MA5-DEBUG: Windows version: ('', '', '', '')
>> MA5-DEBUG: Mac Os version: ('10.12.4', ('', '', ''), 'x86_64')
>> MA5-DEBUG: Unix distribution: Darwin-16.5.0-x86_64-i386-64bit
>> MA5-DEBUG:
>> MA5: Reading user settings ...
>> MA5-DEBUG: Opening the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
>> MA5-DEBUG: Lines to interpret:
>> MA5-DEBUG: - zlib_includes = /Users/omattelaer/Documents/HEPTools/zlib/include
>> MA5-DEBUG: - zlib_libs = /Users/omattelaer/Documents/HEPTools/zlib/lib
>> MA5-DEBUG: - pdflatex_veto = 1
>> MA5-DEBUG: - latex_veto = 1
>> MA5-DEBUG: Closing the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
>> MA5-DEBUG:
>> MA5-DEBUG: User
>> MA5-DEBUG: User name: omattelaer
>> MA5-DEBUG: User ID: 503
>> MA5-DEBUG: Expanding folder ~/: /Users/omattelaer/
>> MA5-DEBUG: Variable $USER: omattelaer
>> MA5-DEBUG: Variable $USERNAME:
>> MA5-DEBUG: Variable $LNAME:
>> MA5-DEBUG: Variable $LOGNAME: omattelaer
>> MA5-DEBUG: Variable $HOME: /Users/omattelaer
>> MA5-DEBUG: Variable $HOMEDRIVE:
>> MA5-DEBUG: Variable $posix:...

Benjamin Fuks (fuks) wrote :
Download full text (43.1 KiB)

Hi Olivier,

There was a feature that I had included some time ago and that would be perfect here. The ma5 interpreter allows for the option "no_compilation=True" (the default is False). It would be sufficient to add this option to the get_MadAnalysis5_interpreter method, set it to True when the cards are created, and things should be fine. Please let me know whether it works.

Cheers,

Benj

> On 23 May 2017, at 14:58 , Olivier Mattelaer <email address hidden> wrote:
>
> Hi,
>
> Whatever makes the code not spending 5s at initialisation sounds a good
> idea.
>
> I have add a bunch of print statement inside you code and found the responsible line for the slow down of the init:
> precompiler.Run('TestSampleAnalyzer',[self.archi_info.ma5dir+'/tools/SampleAnalyzer/Test/Process/dummy_list.txt'],self.archi_info.ma5dir+'/tools/SampleAnalyzer/Bin/',silent=True):
>
> That line takes a full 5s.
>
> So I have just commented it and now this makes the code fast enough
> (0.4s). I have no idea what that lines does, but that's the bottleneck.
>
> Cheers,
>
> Olivier
>
>> On 23 May 2017, at 15:19, Benjamin Fuks <<email address hidden> <mailto:<email address hidden>>> wrote:
>>
>> Hi Olivier,
>>
>> The time is basically being spent on checking whether the ma5
>> interpreter can run properly run here. There is no compilation. This is
>> of course not necessary at this stage. I suggest to implement a way to
>> call the interpreter with all the checks being bypassed that you will
>> then be able to use within aMC. What do yo tihnk?
>>
>> Cheers,
>>
>> B>
>>
>>
>>> On 23 May 2017, at 12:41 , Olivier Mattelaer <email address hidden> wrote:
>>>
>>> Hi,
>>>
>>> Sure, here is the detailed information:
>>>
>>> Cheers,
>>>
>>> Olivier
>>>
>>> INFO: Generating MadAnalysis5 default cards tailored to this process
>>> MA5: Platform: Darwin 16.5.0 [MAC/OSX mode]
>>> MA5-DEBUG:
>>> MA5-DEBUG: Machine - Cross platform information
>>> MA5-DEBUG: Machine type: x86_64
>>> MA5-DEBUG: Processor name: i386
>>> MA5-DEBUG: Platform: Darwin-16.5.0-x86_64-i386-64bit
>>> MA5-DEBUG: Platform release: 16.5.0
>>> MA5-DEBUG: System: Darwin
>>> MA5-DEBUG: Node: mac-1q0-072.local
>>> MA5-DEBUG: Number of cores: 8
>>> MA5-DEBUG:
>>> MA5-DEBUG: Machine - OS-specific information
>>> MA5-DEBUG: Java version: ('', '', ('', '', ''), ('', '', ''))
>>> MA5-DEBUG: Windows version: ('', '', '', '')
>>> MA5-DEBUG: Mac Os version: ('10.12.4', ('', '', ''), 'x86_64')
>>> MA5-DEBUG: Unix distribution: Darwin-16.5.0-x86_64-i386-64bit
>>> MA5-DEBUG:
>>> MA5: Reading user settings ...
>>> MA5-DEBUG: Opening the file: /Users/omattelaer/Documents/HEPTools/madanalysis5/madanalysis5/madanalysis/input/installation_options.dat
>>> MA5-DEBUG: Lines to interpret:
>>> MA5-DEBUG: - zlib_includes = /Users/omattelaer/Documents/HEPTools/zlib/include
>>> MA5-DEBUG: - zlib_libs = /Users/omattelaer/Documents/HEPTools/zlib/lib
>>> MA5-DEBUG: - pdflatex_veto = 1
>>> MA5-DEBUG: - latex_veto = 1
>>> MA5-DEBUG: Closing the f...

Seems to work.

Can I always put it on True? Or should it be put on True only for the card creation?

Cheers,

Olivier

On 24 May 2017, at 16:39, Benjamin Fuks <<email address hidden><mailto:<email address hidden>>> wrote:

"no_compilation=True"

Benjamin Fuks (fuks) wrote :

Hi Olivier,

Only for the card creation, as for the analysis part a compilation is necessary (a c++ code is generated and must be compiled).

Cheers,

Benj

> On 24 May 2017, at 17:33 , Olivier Mattelaer <email address hidden> wrote:
>
> Seems to work.
>
> Can I always put it on True? Or should it be put on True only for the
> card creation?
>
> Cheers,
>
> Olivier
>
> On 24 May 2017, at 16:39, Benjamin Fuks
> <<email address hidden><mailto:<email address hidden>>> wrote:
>
> "no_compilation=True"
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1692480
>
> Title:
> INFO: Generating MadAnalysis5 default cards tailored to this process
>
> Status in MadAnalysis 5:
> In Progress
>
> Bug description:
> Hi guys,
>
> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
> Is it possible to fix this? 6 seconds to create some default cards is much too long.
> (To be honest, I want to remove MA5 from my system just due to that)
>
> Thanks,
>
> Olivier
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions

Ok thanks,

You can consider this as fixed then. (2.5.5 is released with the associated modification)

Thanks,

Olivier

> On 25 May 2017, at 02:13, Benjamin Fuks <email address hidden> wrote:
>
> Hi Olivier,
>
> Only for the card creation, as for the analysis part a compilation is
> necessary (a c++ code is generated and must be compiled).
>
> Cheers,
>
> Benj
>
>
>> On 24 May 2017, at 17:33 , Olivier Mattelaer <email address hidden> wrote:
>>
>> Seems to work.
>>
>> Can I always put it on True? Or should it be put on True only for the
>> card creation?
>>
>> Cheers,
>>
>> Olivier
>>
>> On 24 May 2017, at 16:39, Benjamin Fuks
>> <<email address hidden><mailto:<email address hidden>>> wrote:
>>
>> "no_compilation=True"
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1692480
>>
>> Title:
>> INFO: Generating MadAnalysis5 default cards tailored to this process
>>
>> Status in MadAnalysis 5:
>> In Progress
>>
>> Bug description:
>> Hi guys,
>>
>> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
>> Is it possible to fix this? 6 seconds to create some default cards is much too long.
>> (To be honest, I want to remove MA5 from my system just due to that)
>>
>> Thanks,
>>
>> Olivier
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1692480
>
> Title:
> INFO: Generating MadAnalysis5 default cards tailored to this process
>
> Status in MadAnalysis 5:
> In Progress
>
> Bug description:
> Hi guys,
>
> Looks like MA5 is again systematically recompiling, which slows down significantly MG5...
> Is it possible to fix this? 6 seconds to create some default cards is much too long.
> (To be honest, I want to remove MA5 from my system just due to that)
>
> Thanks,
>
> Olivier
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/madanalysis5/+bug/1692480/+subscriptions

Benjamin Fuks (fuks) on 2017-05-26
Changed in madanalysis5:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers